package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class QuarterlyRatioEntryFactory
{
    private QuarterlyRatioEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("AA46165B") ,com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry.class);
    }
    
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("AA46165B") ,com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("AA46165B"));
    }
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatioEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("AA46165B"));
    }
}